---
title: Custom Device Enrollment
slug: epmm/v2-api-guide/custom-device-enrollment
createdAt: 2026-10-06T08:06:40.714Z
---

## Get MDM profile

Applicable to iOS 13.0 and macOS 10.15 and later versions as supported by Ivanti EPMM. You use this call when interacting with a custom device enrollment web page. See the section "Workflow of the custom Device Enrollment web page" in the *Ivanti EPMM Device Management Guide for Apple devices* (version 10.8.0.0 and later) for complete details. For example, for versions 11.x, [this is the link](https://help.ivanti.com/mi/help/en_us/CORE/11.x/dmgi/DMGfiles/Adding_a_custom_Device_Enrollment_web_page.htm). You can find all Ivanti EPMM documentation [here](https://help.ivanti.com/#177).

### Required Role

See [Authentication](docId\:hJ6Ul2Sz4DNsmnPJ-Fxl_) for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.

| Required Role                                                                                  |
| ---------------------------------------------------------------------------------------------- |
| **Category:** Device Management<br />**Role Description:** Manage device enrollment (iOS only) |

### HTTP method

POST

### Request URI

/api/v2/external/mdm/config/DEPMDMProfile

### Request parameters

| Parameter          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Sample Value                                                                                                              |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| adminDeviceSpaceId | **Required**<br />**Parameter Type:** Query<br />**Data Type:** Number<br />**Default:** 0<br />Device space ID of the administrator.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | <font color="#000000">`1`</font>                                                                                          |
| deviceInfo         | **Required**<br />**Header Type:** Request header<br />**Data Type:** String<br />This is the <font color="#000000">custom header, x-apple-aspen-deviceinfo, that an Apple device presents when it accesses the custom enrollment URL. It contains a base64 encoding of a CMS (Cryptographic Message Syntax) envelope that contains a plist with device attributes.</font>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | MIAGCSqGSIb3DQEHAqCAMIACAQExCzAJBgUrDgMCGgUAMIAGCSqGSIb3DQEHAaCAJIAEg...<br />8J1/FDsNPlsrbfA/AcAvaKpiILxKd6aD+7CAAAAAAA= |
| principal          | **Parameter Type:** Query<br />**Data Type:** String<br /><font color="#000000">Ivanti EPMM user to associate to the Device Enrollment profile's device.</font><br /><font color="#000000">This value corresponds to the return field **principal** shown below when you get user info using **Devices &amp; Users &gt; Users** in the user interface\:</font><br /><font color="#000000">`{`</font><br /><font color="#000000">    `"rc": true,`</font><br /><font color="#000000">    `"total": 2,`</font><br /><font color="#000000">    `"generationTime": 1598854110957,`</font><br /><font color="#000000">    `"offset": 0,`</font><br /><font color="#000000">    `"results": [`</font><br /><font color="#000000">        `{`</font><br /><font color="#000000">            `"uuid": "4a4790b2-91bd-4c1c-9449-d31f8d1b1bee",`</font><br /><font color="#000000">            `"id": 9045,`</font><br /><font color="#000000">            `"principal": "C23404779_User_70229196",`</font><br /><font color="#000000">            `"deviceSpaceId": 1,`</font><br /><font color="#000000">            `"deviceSpacePath": "/1/",`</font><br /><font color="#000000">            `"roles": [`</font><br /><font color="#000000">`...`</font><br /><font color="#000000">        `},`</font> | C23404779\_User\_70229196                                                                                                 |

### Sample request

```bash
curl -X POST --header 'deviceInfo: <deviceinfo received as part of initial GET ' "https://<EPMM host name>/api/v2/external/mdm/config/DEPMDMProfile?adminDeviceSpaceId=1&principal=C23404779_User_70229196"
```

